package com.asset.common;

import com.github.pagehelper.PageInfo;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/*
 * @author xiaol
 * @date 2019/12/28
 */
public class Pagination {

    public static Map Pagination(List list) {
        //分页查询，包括分页和总数查询，第三个参数是控制是否计算总数，默认是true,true为查询总数，分页效果只对其后的第一个查询有效。
        PageInfo pageOb = new PageInfo(list);
        //组合数组
        Map<String, Object> map=new HashMap<String, Object>();
        map.put("total_page", pageOb.getPages());
        map.put("total", pageOb.getTotal());
        map.put("per_page", pageOb.getPageSize());
        map.put("current_page", pageOb.getPageNum());
        map.put("list", list);
        return map;
    }
}
