package com.asset.controller.system;

import com.asset.common.CodeEnum;
import com.asset.common.Result;
import com.asset.common.ResultUtil;
import com.asset.domain.system.Job;
import com.asset.domain.system.School;
import com.asset.service.system.JobService;
import com.asset.service.system.SchoolService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping(value = "/job")
public class JobController {

    @Autowired
    JobService jobService;

    @GetMapping("/getJobList")
    public Result getJobList() {
        List<Job> list = jobService.jobList();
        return ResultUtil.success(CodeEnum.SUCCESS,list);
    }
}
