package com.asset.service.system;

import com.asset.domain.system.Area;
import com.asset.mapper.system.AreaMapper;
import com.github.pagehelper.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.List;

/*
 * @author xiaol
 * @date 2020/03/03
 */
@Service("AreaService")
public class AreaService implements AreaMapper {

    @Autowired
    AreaMapper areaMapper;

    @Override
    public List<Area> getAreaByPid(Integer pid) {
        return areaMapper.getAreaByPid(pid);
    }

    @Override
    public Page<Area> areaList() {
        return areaMapper.areaList();
    }
}
