package com.asset.service.system;

import com.asset.domain.system.Discipline;
import com.asset.domain.system.School;
import com.asset.mapper.system.DisciplineMapper;
import com.asset.mapper.system.SchoolMapper;
import com.github.pagehelper.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/*
 * @author xiaol
 * @date 2020/03/03
 */
@Service("DisciplineService")
public class DisciplineService implements DisciplineMapper {

    @Autowired
    DisciplineMapper disciplineMapper;

    @Override
    public Discipline getDisciplineByid(Integer id) {
        return disciplineMapper.getDisciplineByid(id);
    }

    @Override
    public Page<Discipline> disciplineList() {
        return disciplineMapper.disciplineList();
    }
}
