package com.asset.common;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.multipart.MultipartFile;

import java.io.File;
import java.io.IOException;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.UUID;

/*
 * @author xiaol
 * @date 2019/12/28
 */
public class Upload {

    //函数重载,使用新名字还是保持原文件名不变
    public Map Upload(MultipartFile file,String filePath,String tempContextUrl) throws IOException {
        //上传文件原始名称
        String originalFilename = file.getOriginalFilename();
        //新的图片名称
        String newFileName = UUID.randomUUID() +originalFilename.substring(originalFilename.lastIndexOf("."));
        //新文件
        File file1 = new File(filePath+newFileName);
        //将内存中的文件写入磁盘
        file.transferTo(file1);
        String Path = tempContextUrl + newFileName;
        String url = filePath + newFileName;
        //Runtime.getRuntime().exec("chmod 777 -R " + url);
        Map<String, Object> map = new HashMap<>();
        map.put("filename", newFileName);
        map.put("filepath", Path);
        return map;
    }

    public Map Upload(MultipartFile file,String filePath,String tempContextUrl,boolean isName) throws IOException {
        String newFileName = null;
        //上传文件原始名称
        String originalFilename = file.getOriginalFilename();
        if(isName == true){
            //新的图片名称
            newFileName = UUID.randomUUID() +originalFilename.substring(originalFilename.lastIndexOf("."));
        }else{
            newFileName = originalFilename;
        }
        File file1 = new File(filePath+newFileName);
        //将内存中的文件写入磁盘
        file.transferTo(file1);
        String Path = tempContextUrl + newFileName;
        String url = filePath + newFileName;
        //Runtime.getRuntime().exec("chmod 777 -R " + url);
        Map<String, Object> map = new HashMap<>();
        map.put("filename", newFileName);
        map.put("filepath", Path);
        return map;
    }
}
