package com.asset.controller.system;

import com.asset.common.CodeEnum;
import com.asset.common.Common;
import com.asset.common.Result;
import com.asset.common.ResultUtil;
import com.asset.domain.User;
import com.asset.domain.system.Area;
import com.asset.service.system.AreaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import java.util.List;

@RestController
@RequestMapping(value = "/area")
public class AreaController {
    @Autowired
    AreaService areaService;

    @GetMapping("/getAreaList")
    public Result getAreaList(int pid) {
        List<Area> list = areaService.getAreaByPid(pid);
        return ResultUtil.success(CodeEnum.SUCCESS,list);
    }
}
