package com.asset.controller.system;


import com.asset.common.CodeEnum;
import com.asset.common.Result;
import com.asset.common.ResultUtil;
import com.asset.domain.system.Discipline;
import com.asset.service.system.DisciplineService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import java.util.List;

/*
 * @author xiaol
 * @date 2020/03/03
 */
@RestController
@RequestMapping(value = "/discipline")
public class DisciplineController {

    @Autowired
    DisciplineService disciplineService;

    @GetMapping("/getDisciplineList")
    public Result getDisciplineList() {
        List<Discipline> list = disciplineService.disciplineList();
        return ResultUtil.success(CodeEnum.SUCCESS,list);
    }

}
