package com.asset.controller.system;

import com.asset.common.CodeEnum;
import com.asset.common.Result;
import com.asset.common.ResultUtil;
import com.asset.domain.system.School;
import com.asset.service.system.SchoolService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import java.util.List;

@RestController
@RequestMapping(value = "/school")
public class SchoolController {

    @Autowired
    SchoolService schoolService;

    @GetMapping("/getSchoolList")
    public Result getSchoolList() {
        List<School> list = schoolService.schoolList();
        return ResultUtil.success(CodeEnum.SUCCESS,list);
    }
}
