package com.asset.service.system;

import com.asset.domain.system.Job;
import com.asset.domain.system.School;
import com.asset.mapper.system.JobMapper;
import com.asset.mapper.system.SchoolMapper;
import com.github.pagehelper.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/*
 * @author xiaol
 * @date 2020/03/03
 */
@Service("JobService")
public class JobService implements JobMapper {

    @Autowired
    JobMapper jobMapper;


    @Override
    public Job getJobByid(Integer id) {
        return jobMapper.getJobByid(id);
    }

    @Override
    public Page<Job> jobList() {
        return jobMapper.jobList();
    }
}
