package com.asset.service.system;

import com.asset.domain.system.Area;
import com.asset.domain.system.School;
import com.asset.mapper.system.AreaMapper;
import com.asset.mapper.system.SchoolMapper;
import com.github.pagehelper.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/*
 * @author xiaol
 * @date 2020/03/03
 */
@Service("SchoolService")
public class SchoolService implements SchoolMapper {

    @Autowired
    SchoolMapper schoolMapper;

    @Override
    public School getSchoolByid(Integer id) {
        return schoolMapper.getSchoolByid(id);
    }

    @Override
    public Page<School> schoolList() {
        return schoolMapper.schoolList();
    }
}
